Chat now with support
Chat with Support

Binary Tree Migrator Pro for Exchange 20.10.1 - Requirements

General Installation Requirements

  • Windows Server 2012 R2, 2016, or 2019

  • PowerShell 2.0, 3.0, or 4.0

  • IIS (included with Windows Server 2012 R2, 2016, and 2019).

  • .NET 3.5.1

  • .NET 4.6.1 Framework (if not already installed, it will be downloaded and installed automatically if there is an Internet connection)

  • Internet Explorer 8 or later or Firefox

 

When running Migrator Pro for Exchange with PowerShell 3.0 or 4.0 installed, you may experience a small increase in memory usage of the MCP service compared with environments which use PowerShell 2.0.

 

 

Migrator Pro for Exchange cannot rationalize Office 365 mailboxes when the WhenChanged DateTime format is ddMMyyyy, due to a remote PowerShell error claiming invalid date time format. Changing the date-time format of the operating system to mmddyyyy resolves the issue.

Networking Requirement

During installation, any prerequisites missing will be downloaded automatically and thus require an internet connection.

SQL Server Installation Requirements

  • SQL Server 2014 SP2 CU13, 2016 SP2 CU3, or 2017 CU11.

OR

  • SQL Server 2012 Express SP2 with Advanced Services. Migrator Pro for Exchange’s Default Install option will install SQL Server 2012 Express SP2 with Advanced Services if a local instance of SQL is not detected.

    • Note that SQL browsing service does not run by default. Please ensure this service is running.

    • Refer to the SQL Server (or Express) Setup Knowledge Base article for additional set up information.

  • Network connectivity to SQL Server.

Supported Outlook Versions

The following Outlook versions are supported on the Migrator Pro for Exchange Migration Server:

  • Outlook 2016 32-bit

  • Outlook 2019

Public Folder migration to Office 365 Groups requires Outlook 2019 be installed on the Migrator Pro for Exchange and/or Migrator Pro for Exchange Worker machines. Note also:

  • The Outlook profiles on the Migrator Pro for Exchange migration server and migration Worker machines must have Cached Mode disabled for the migration to proceed. But note that end users’ Outlook profiles must be in Cached Mode to permit end-user viewing of O365 Groups by the Outlook client.

  • If using Outlook profiles for Public Folder migration, and if Use Cached Exchange Mode is enabled, Migrator Pro for Exchange will automatically disable this mode when the profile is selected.

Networking Requirement

General Installation Requirements

  • Windows Server 2012 R2, 2016, or 2019

  • PowerShell 2.0, 3.0, or 4.0

  • IIS (included with Windows Server 2012 R2, 2016, and 2019).

  • .NET 3.5.1

  • .NET 4.6.1 Framework (if not already installed, it will be downloaded and installed automatically if there is an Internet connection)

  • Internet Explorer 8 or later or Firefox

 

When running Migrator Pro for Exchange with PowerShell 3.0 or 4.0 installed, you may experience a small increase in memory usage of the MCP service compared with environments which use PowerShell 2.0.

 

 

Migrator Pro for Exchange cannot rationalize Office 365 mailboxes when the WhenChanged DateTime format is ddMMyyyy, due to a remote PowerShell error claiming invalid date time format. Changing the date-time format of the operating system to mmddyyyy resolves the issue.

During installation, any prerequisites missing will be downloaded automatically and thus require an internet connection.

SQL Server Installation Requirements

  • SQL Server 2014 SP2 CU13, 2016 SP2 CU3, or 2017 CU11.

OR

  • SQL Server 2012 Express SP2 with Advanced Services. Migrator Pro for Exchange’s Default Install option will install SQL Server 2012 Express SP2 with Advanced Services if a local instance of SQL is not detected.

    • Note that SQL browsing service does not run by default. Please ensure this service is running.

    • Refer to the SQL Server (or Express) Setup Knowledge Base article for additional set up information.

  • Network connectivity to SQL Server.

Supported Outlook Versions

The following Outlook versions are supported on the Migrator Pro for Exchange Migration Server:

  • Outlook 2016 32-bit

  • Outlook 2019

Public Folder migration to Office 365 Groups requires Outlook 2019 be installed on the Migrator Pro for Exchange and/or Migrator Pro for Exchange Worker machines. Note also:

  • The Outlook profiles on the Migrator Pro for Exchange migration server and migration Worker machines must have Cached Mode disabled for the migration to proceed. But note that end users’ Outlook profiles must be in Cached Mode to permit end-user viewing of O365 Groups by the Outlook client.

  • If using Outlook profiles for Public Folder migration, and if Use Cached Exchange Mode is enabled, Migrator Pro for Exchange will automatically disable this mode when the profile is selected.

SQL Server Installation Requirements

General Installation Requirements

  • Windows Server 2012 R2, 2016, or 2019

  • PowerShell 2.0, 3.0, or 4.0

  • IIS (included with Windows Server 2012 R2, 2016, and 2019).

  • .NET 3.5.1

  • .NET 4.6.1 Framework (if not already installed, it will be downloaded and installed automatically if there is an Internet connection)

  • Internet Explorer 8 or later or Firefox

 

When running Migrator Pro for Exchange with PowerShell 3.0 or 4.0 installed, you may experience a small increase in memory usage of the MCP service compared with environments which use PowerShell 2.0.

 

 

Migrator Pro for Exchange cannot rationalize Office 365 mailboxes when the WhenChanged DateTime format is ddMMyyyy, due to a remote PowerShell error claiming invalid date time format. Changing the date-time format of the operating system to mmddyyyy resolves the issue.

Networking Requirement

During installation, any prerequisites missing will be downloaded automatically and thus require an internet connection.

  • SQL Server 2014 SP2 CU13, 2016 SP2 CU3, or 2017 CU11.

OR

  • SQL Server 2012 Express SP2 with Advanced Services. Migrator Pro for Exchange’s Default Install option will install SQL Server 2012 Express SP2 with Advanced Services if a local instance of SQL is not detected.

    • Note that SQL browsing service does not run by default. Please ensure this service is running.

    • Refer to the SQL Server (or Express) Setup Knowledge Base article for additional set up information.

  • Network connectivity to SQL Server.

Supported Outlook Versions

The following Outlook versions are supported on the Migrator Pro for Exchange Migration Server:

  • Outlook 2016 32-bit

  • Outlook 2019

Public Folder migration to Office 365 Groups requires Outlook 2019 be installed on the Migrator Pro for Exchange and/or Migrator Pro for Exchange Worker machines. Note also:

  • The Outlook profiles on the Migrator Pro for Exchange migration server and migration Worker machines must have Cached Mode disabled for the migration to proceed. But note that end users’ Outlook profiles must be in Cached Mode to permit end-user viewing of O365 Groups by the Outlook client.

  • If using Outlook profiles for Public Folder migration, and if Use Cached Exchange Mode is enabled, Migrator Pro for Exchange will automatically disable this mode when the profile is selected.

Supported Outlook Versions

General Installation Requirements

  • Windows Server 2012 R2, 2016, or 2019

  • PowerShell 2.0, 3.0, or 4.0

  • IIS (included with Windows Server 2012 R2, 2016, and 2019).

  • .NET 3.5.1

  • .NET 4.6.1 Framework (if not already installed, it will be downloaded and installed automatically if there is an Internet connection)

  • Internet Explorer 8 or later or Firefox

 

When running Migrator Pro for Exchange with PowerShell 3.0 or 4.0 installed, you may experience a small increase in memory usage of the MCP service compared with environments which use PowerShell 2.0.

 

 

Migrator Pro for Exchange cannot rationalize Office 365 mailboxes when the WhenChanged DateTime format is ddMMyyyy, due to a remote PowerShell error claiming invalid date time format. Changing the date-time format of the operating system to mmddyyyy resolves the issue.

Networking Requirement

During installation, any prerequisites missing will be downloaded automatically and thus require an internet connection.

SQL Server Installation Requirements

  • SQL Server 2014 SP2 CU13, 2016 SP2 CU3, or 2017 CU11.

OR

  • SQL Server 2012 Express SP2 with Advanced Services. Migrator Pro for Exchange’s Default Install option will install SQL Server 2012 Express SP2 with Advanced Services if a local instance of SQL is not detected.

    • Note that SQL browsing service does not run by default. Please ensure this service is running.

    • Refer to the SQL Server (or Express) Setup Knowledge Base article for additional set up information.

  • Network connectivity to SQL Server.

The following Outlook versions are supported on the Migrator Pro for Exchange Migration Server:

  • Outlook 2016 32-bit

  • Outlook 2019

Public Folder migration to Office 365 Groups requires Outlook 2019 be installed on the Migrator Pro for Exchange and/or Migrator Pro for Exchange Worker machines. Note also:

  • The Outlook profiles on the Migrator Pro for Exchange migration server and migration Worker machines must have Cached Mode disabled for the migration to proceed. But note that end users’ Outlook profiles must be in Cached Mode to permit end-user viewing of O365 Groups by the Outlook client.

  • If using Outlook profiles for Public Folder migration, and if Use Cached Exchange Mode is enabled, Migrator Pro for Exchange will automatically disable this mode when the profile is selected.

Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating